die () {
    echo "$@" 1>&2
    exit 1
}

test_as () {
    echo "$2" | ../assembler/instr16-as -o tmp.o \
    && od -An -tx1 tmp.o | sed -e 's/^ //' > tmp.hex \
    && echo "$1" | diff -u - tmp.hex \
    || die "Incorrect assembly for: $2"
}
